# Class SnpEffCmdBuildNextProt

java.lang.Object
org.snpeff.SnpEff
org.snpeff.snpEffect.commandLine.SnpEffCmdBuildNextProt

All Implemented Interfaces:
  `CommandLine`

public class SnpEffCmdBuildNextProt extends SnpEff
Parse NetxProt XML file and build a database http://www.nextprot.org/

Author:
  pablocingolani

## Nested Class Summary

### Nested classes/interfaces inherited from class SnpEff

`SnpEff.GeneDatabaseFormat, SnpEff.InputFormat, SnpEff.OutputFormat`

## Field Summary

### Fields inherited from class SnpEff

`args, BUILD, BUILD_DATE, canonical, canonicalFile, command, COMMAND_LINE_WIDTH, config, configFile, configOverride, customIntervalFiles, dataDir, debug, DEFAULT_COMMAND, download, expandIub, filterIntervalFiles, genome, genomeVer, help, hgvs, hgvsForce, hgvsOld, hgvsOneLetterAa, hgvsShift, hgvsTrId, interaction, log, maxTranscriptSupportLevel, motif, multiThreaded, nextProt, nextProtKeepAllTrs, noGenome, numWorkers, onlyProtein, onlyRegulation, onlyTranscriptsFile, output, quiet, regulationTracks, REVISION, saveOutput, shiftArgs, snpEffCmd, SOFTWARE_NAME, spliceRegionExonSize, spliceRegionIntronMax, spliceRegionIntronMin, spliceSiteSize, strict, suppressOutput, tags, tagsNo, testing, treatAllAsProteinCoding, upDownStreamLength, verbose, VERSION, VERSION_AUTHOR, VERSION_BUILD, VERSION_MAJOR, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffCmdBuildNextProt()`

## Method Summary

Modifier and Type
Method
Description
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Run main analysis
`void`
`usage(String message)`
Show 'usage' message and exit with an error code '-1'

### Methods inherited from class SnpEff

`addRegulationTrack, canonical, cmd, commandLineStr, filterTags, getArgs, getConfig, getConfigFile, getOutput, isOpt, load, loadConfig, loadCustomFile, loadDb, loadMarkers, main, reportValues, run, setCanonical, setConfig, setConfigFile, setDebug, setGenomeVer, setLog, setNextProt, setNextProtKeepAllTrs, setShiftHgvs, setSpliceSiteSize, setSupressOutput, setTesting, setUpDownStreamLength, setVerbose, usageDb, usageGeneric, usageGenericAndDb`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnpEffCmdBuildNextProt

public SnpEffCmdBuildNextProt()

## Method Details

### parseArgs

public void parseArgs(String[] args)
Description copied from class: `SnpEff`
Parse command line arguments

Specified by:
  `parseArgs` in interface `CommandLine`
Overrides:
  `parseArgs` in class `SnpEff`

### run

public boolean run()
Run main analysis

Specified by:
  `run` in interface `CommandLine`
Overrides:
  `run` in class `SnpEff`

### usage

public void usage(String message)
Description copied from class: `SnpEff`
Show 'usage' message and exit with an error code '-1'

Specified by:
  `usage` in interface `CommandLine`
Overrides:
  `usage` in class `SnpEff`